Bug 10673 - [3.3] ICE for x86-64 on freebsd libc vfprintf.c source
Summary: [3.3] ICE for x86-64 on freebsd libc vfprintf.c source
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.3
: P3 normal
Target Milestone: 3.3.1
Assignee: Richard Henderson
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks:
 
Reported: 2003-05-08 01:26 UTC by peter
Modified: 2003-07-25 23:19 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
vp.c (15.58 KB, application/octet-stream)
2003-05-21 15:17 UTC, peter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description peter 2003-05-08 01:26:00 UTC
gcc ICE's on src/lib/libc/stdio/vfprintf.c in the FreeBSD source tree.  vp.c is a preprocessed copy of the file:

hammer# gcc -c vp.c
hammer# gcc -c -O vp.c
vp.c: In function `__vfprintf':
vp.c:2904: internal compiler error: in change_address_1, at emit-rtl.c:2017
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.

Release:
gcc version 3.3 20030505 (prerelease)

Environment:
Target is FreeBSD/amd64, bug appears both when cross compiling and when natively hosted.  Native compiler passes 'make bootstrap' tests.

How-To-Repeat:
Compile as above, with -O or higher.
Comment 1 peter 2003-05-08 01:26:00 UTC
Fix:
Not-really-a-fix: remove -O.
Comment 2 Richard Henderson 2003-05-08 05:24:40 UTC
Responsible-Changed-From-To: unassigned->rth
Responsible-Changed-Why: .
Comment 3 Richard Henderson 2003-05-08 05:24:40 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: Fixed with
      http://gcc.gnu.org/ml/gcc-patches/2003-05/msg00629.html
    Applied to mainline; waiting for 3.3.1 to open.
Comment 4 Richard Henderson 2003-06-03 23:17:16 UTC
Patch appled to 3.3 branch.
Comment 5 Richard Henderson 2003-06-03 23:17:47 UTC
Close.